﻿//================================================================================

var g_webExtension = null;

//================================================================================

g_webExtension = new WebExtension.WebExtension(
	(EndUser.Browser.info.name == EndUser.BrowserName.Firefox) ?
		EUSWExtension.EUSWE_EXTENSION_NAME_FIREFOX :
		EUSWExtension.EUSWE_EXTENSION_NAME_CHROME,
	EUSWExtension.EUSWE_NMH_NAME,
	{
		downloadURL: EUSWExtension.EUSWE_DOWNLOADS_PAGE,
		help: EUSWExtension.EUSWE_MANUAL,
		installs: {
			windows: EUSWExtension.EUSWE_INSTALL_WIN,
			macos: EUSWExtension.EUSWE_INSTALL_MAC,
			linux: {
				x32: [EUSWExtension.EUSWE_INSTALL_LINUX_X32,
					EUSWExtension.EUSWE_INSTALL_LINUX_RPM_X32,
					EUSWExtension.EUSWE_INSTALL_LINUX_TAR_X32],
				x64: [EUSWExtension.EUSWE_INSTALL_LINUX_X64,
					EUSWExtension.EUSWE_INSTALL_LINUX_RPM_X64,
					EUSWExtension.EUSWE_INSTALL_LINUX_TAR_X64]
			}
		}
	});

g_webExtension.initialize(
	function () {
	},
	function (error) {
		console.log(error);
	});


//================================================================================
